#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	CIDR
Summary:	Net::CIDR - manipulate IPv4/IPv6 netblocks in CIDR notation
Summary(pl.UTF-8):	Net::CIDR - przetwarzanie bloków sieci IPv4/IPv6 w notacji CIDR
Name:		perl-Net-CIDR
Version:	0.18
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	adbaec40824a1b7144a4ace86e55b94e
URL:		http://search.cpan.org/dist/Net-CIDR/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::CIDR package contains functions that manipulate lists of IP
netblocks expressed in CIDR notation. The Net::CIDR functions handle
both IPv4 and IPv6 addresses.

%description -l pl.UTF-8
Pakiet Net::CIDR zawiera funkcje przetwarzające listy bloków sieci IP
zapisanych w notacji CIDR. Funkcje Net::CIDR obsługują adresy IPv4 i
IPv6.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/*.pm
%{_mandir}/man3/*
%changelog
* Wed Oct 14 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-CIDR.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 972ad42
- up to 0.18

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 50176d9
- up to 0.17

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 77a045c
- up to 0.14

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 7b041af
- updated to 0.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f59a1f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2680974
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 6eafb37
- 0.11, add generic URL

* Sun Jun 19 2005 Elan Ruusamäe <glen@pld-linux.org> 494aa0d
- rel 1

* Sat Jun 11 2005 ankry <ankry@pld-linux.org> 262c20b
- cosmetics

* Sat Jun 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 672904c
- pl

* Wed Jun 08 2005 Elan Ruusamäe <glen@pld-linux.org> 15e2d0c
- created using cpan2rpm and pldspan

